Skip to main content
`Ctrl`+`K`

# get_writer

astropy.io.ascii.get_writer(writer_cls=None, fast_writer=True, **kwargs)

  Initialize a table writer allowing for common customizations.

  Most of the default behavior for various parameters is determined by the Writer class.

  Parameters:
    writer_cls `writer_cls`

      Writer class. Defaults to `Basic`.

    delimiter `python:str`

      Column delimiter string

    comment `python:str`

      String defining a comment line in table

    quotechar `python:str`

      One-character string to quote fields containing special characters

    formats `python:dict`

      Dictionary of format specifiers or formatting functions

    strip_whitespace bool

      Strip surrounding whitespace from column values.

    names `python:list`

      List of names corresponding to each data column

    include_names `python:list`

      List of names to include in output.

    exclude_names `python:list`

      List of names to exclude from output (applied after `include_names`)

    fast_writer bool

      Whether to use the fast Cython writer.

  Returns:
    writer `BaseReader` subclass

      ASCII format writer instance